Skip to main content

Share patient open order

This is an API will be invoked from the <b>integrator application</b> to share the user/patient profile with HMIS/LIMS.

POST/api/hiecm/scan-gateway/v3/patient/share/open-order

<ol type='1'> <li> <b>Header</b> <ol type='a'> <br/> <li>Authorisation will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer <TOKEN> ]</li> <li>X-AUTH-TOKEN JWT Authentication token which was issued by ABDM after successful validation of user[ Example: Bearer <TOKEN> ]</li><li>REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]</li> <li>TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]</li> <li>X-CM-ID consent manager ID[ Example: sbx ]</li> <li>X-HIU-ID [ Example: HIU ID ]</li> </ol> </li> <br/> <li> <b>Request Body</b> <ol type='a'><br/> <li>intent This is a key value pair which contains the purpose [ Example: type: OPEN_PAYMENT_ORDER ]</li> <li>metaData This is a key value pair which contains hipId, counterId[ Example: { hipId:IN3810000008 <br> counterId: 12123 } ]</li> <li>profile which contains user details</li> </ol> </ol>

Authorizations

Authorizationbearer tokenRequired

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

X-HIU-IDstringRequired

Identifier of the health information user to which the request was intended

Body

intentstringRequired

The intention of share API call

metaDataobjectRequired

A key-value pair carrying the location longitude and latitude.

metaData.hipIdstringRequired

The service ID of the health information provider

metaData.counterIdnumberRequired
profileobjectRequired

This should populated only for PAYMENT_SHARE

profile.patientobjectRequired
profile.patient.abhaNumberstringRequired

The abha number of the patient. Should be only 14 digit

profile.patient.abhaAddressstringRequired

The abha address of the patient. Should start with Alphanumeric . and _ in the middle and must be ending with @abdm or @sbx

profile.patient.namestringRequired

The name of the patient. Only alphabets.

profile.patient.genderstringRequired

The gender of the patient

One of MFOD

profile.patient.dayOfBirthstringRequired

The day of birth of the patient. Only allows numeric values between 1 abd 31

profile.patient.monthOfBirthstringRequired

The month of birth of the patient. Only allows numeric values between 1 abd 12

profile.patient.yearOfBirthstringRequired

The month of birth of the patient. Only allows numeric values and must be 4 digit ranging between 1900 and 2200

profile.patient.addressobjectRequired
profile.patient.address.linestringRequired

The address line

profile.patient.address.districtstring

The district and should only contain alphabets

profile.patient.address.statestring

The state and should only contain alphabets

profile.patient.address.pincodestring

Should be 5 digits and only contain numbers

profile.patient.phoneNumberstringRequired

The mobile number of the patient. Must be 10 digit and contain only 0-9

Responses

401

Unauthorized

Everything returns 401

429

Too Many Requests

Error codes for this module

500

Internal Server Error

Error codes for this module

503

Service Unavailable

Error codes for this module